LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"
curl --location --request GET "$LAGO_URL/api/v1/taxes?per_page=2&page=1" \
--header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError
client = Client(api_key='__YOUR_API_KEY__')
try:
client.taxes.find_all({'per_page': 2, 'page': 1})
except LagoApiError as e:
repair_broken_state(e)
require 'lago-ruby-client'
client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')
client.taxes.get_all({ per_page: 2, page: 3 })
await client.taxes.findAllTaxes({ per_page: 2, page: 3 });
import "fmt"
import "github.com/getlago/lago-go-client"
func main() {
lagoClient := lago.New().SetApiKey("__YOUR_API_KEY__")
taxListInput := &lago.TaxListInput{
PerPage: 1,
Page: 1,
}
taxResult, err := lagoClient.Tax().GetList(taxListInput)
if err != nil {
panic(err)
}
fmt.Println(taxResult)
}
{
"taxes": [
{
"lago_id": "41190609-391a-4368-9549-d4348a85a8cd",
"name": "TVA",
"code": "french_standard_vat",
"description": "French standard VAT",
"rate": 20,
"applied_to_organization": true,
"created_at": "2023-07-06T14:35:58Z"
},
{
"lago_id": "2e034a10-6652-4daf-a600-b085184f93ad",
"name": "TVA",
"code": "french_reduced_vat",
"description": "French reduce VAT",
"rate": 5,
"applied_to_organization": false,
"created_at": "2023-07-06T14:45:23Z"
}
],
"meta": {
"current_page": 1,
"next_page": null,
"prev_page": null,
"total_pages": 1,
"total_count": 2
}
}{
"status": 401,
"error": "Unauthorized"
}Taxes
List all tax rates
This endpoint retrieves all existing taxes representing a customizable tax rate applicable to either the organization or a specific customer.
GET
/
taxes
LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"
curl --location --request GET "$LAGO_URL/api/v1/taxes?per_page=2&page=1" \
--header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError
client = Client(api_key='__YOUR_API_KEY__')
try:
client.taxes.find_all({'per_page': 2, 'page': 1})
except LagoApiError as e:
repair_broken_state(e)
require 'lago-ruby-client'
client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')
client.taxes.get_all({ per_page: 2, page: 3 })
await client.taxes.findAllTaxes({ per_page: 2, page: 3 });
import "fmt"
import "github.com/getlago/lago-go-client"
func main() {
lagoClient := lago.New().SetApiKey("__YOUR_API_KEY__")
taxListInput := &lago.TaxListInput{
PerPage: 1,
Page: 1,
}
taxResult, err := lagoClient.Tax().GetList(taxListInput)
if err != nil {
panic(err)
}
fmt.Println(taxResult)
}
{
"taxes": [
{
"lago_id": "41190609-391a-4368-9549-d4348a85a8cd",
"name": "TVA",
"code": "french_standard_vat",
"description": "French standard VAT",
"rate": 20,
"applied_to_organization": true,
"created_at": "2023-07-06T14:35:58Z"
},
{
"lago_id": "2e034a10-6652-4daf-a600-b085184f93ad",
"name": "TVA",
"code": "french_reduced_vat",
"description": "French reduce VAT",
"rate": 5,
"applied_to_organization": false,
"created_at": "2023-07-06T14:45:23Z"
}
],
"meta": {
"current_page": 1,
"next_page": null,
"prev_page": null,
"total_pages": 1,
"total_count": 2
}
}{
"status": 401,
"error": "Unauthorized"
}LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"
curl --location --request GET "$LAGO_URL/api/v1/taxes?per_page=2&page=1" \
--header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError
client = Client(api_key='__YOUR_API_KEY__')
try:
client.taxes.find_all({'per_page': 2, 'page': 1})
except LagoApiError as e:
repair_broken_state(e)
require 'lago-ruby-client'
client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')
client.taxes.get_all({ per_page: 2, page: 3 })
await client.taxes.findAllTaxes({ per_page: 2, page: 3 });
import "fmt"
import "github.com/getlago/lago-go-client"
func main() {
lagoClient := lago.New().SetApiKey("__YOUR_API_KEY__")
taxListInput := &lago.TaxListInput{
PerPage: 1,
Page: 1,
}
taxResult, err := lagoClient.Tax().GetList(taxListInput)
if err != nil {
panic(err)
}
fmt.Println(taxResult)
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number.
Example:
1
Number of records per page.
Example:
20
Was this page helpful?
⌘I